#ifndef __UTIL_H
#define __UTIL_H

#define MIN(a, b) ((a) < (b) ? (a) : (b))
#define MAX(a, b) ((a) > (b) ? (a) : (b))

extern void AtExit(void (*handler)(void));
extern void Header(void);
extern void DistInfo(void);
extern void Rules(void);
extern void SRandom(int seed);
extern int Random(int min, int max1);
extern int MyRead(int fd, void *data, int len);
extern int MyWrite(int fd, void *data, int len);
extern void WriteConf(void);
extern void NormalizeTime(struct timeval *tv);
extern void CatchAlarm(int sig);
extern void SetTimeval(struct timeval *tv, long usec);
extern long GetTimeval(struct timeval *tv);
extern long AbsTimeval(void);
extern void ResetBaseTime(void);
extern void PauseTime(void);
extern void ResumeTime(void);
extern long CurTimeval(void);
extern long SetITimer(long interval, long value);
extern volatile void die(char *msg);
extern volatile void fatal(char *msg);
extern void BlockSignals(MySigSet *saved, ...);
extern void RestoreSignals(MySigSet *saved, MySigSet *set);
extern void AddEventGen(EventGenRec *gen);
extern void RemoveEventGen(EventGenRec *gen);
extern MyEventType WaitMyEvent(MyEvent *event, int mask);
extern void CatchInt(int sig);

#endif //__UTIL_H

